Your message dated Sat, 21 Sep 2019 07:49:50 +0000
with message-id <e1iba9o-000hhq...@fasolo.debian.org>
and subject line Bug#939898: fixed in glibc 2.29-2
has caused the Debian Bug report #939898,
regarding glibc: new getegid, geteuid and getppid syscalls used unconditionally 
on alpha
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
939898: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=939898
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: glibc
Version: 2.29-1
Severity: important
User: debian-al...@lists.debian.org
Usertags: alpha

Hello!

Both on my Alpha XP-1000 as well as inside a qemu-user chroot, upgrading glibc
to version 2.29-1 resulted in setuid/getuid breaking in a weird way:

(sid-alpha-sbuild)root@epyc:/# apt -y upgrade              
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  bsd-mailx cron exim4-base exim4-config exim4-daemon-light groff-base 
libevent-2.1-6 libgnutls-dane0 liblockfile-bin liblockfile1 libpipeline1 
libreadline7 libtext-iconv-perl
  libuchardet0 libunbound8 man-db psmisc
Use 'apt autoremove' to remove them.
The following packages will be upgraded:
  cpp g++ gcc libc-bin libc-dev-bin libc6.1 libc6.1-dev
7 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 6329 kB/6355 kB of archives.
After this operation, 34.8 kB disk space will be freed.
Get:1 http://incoming.ports.debian.org/buildd unstable/main alpha libc6.1-dev 
alpha 2.29-1 [2586 kB]
Get:2 http://incoming.ports.debian.org/buildd unstable/main alpha libc-dev-bin 
alpha 2.29-1 [277 kB]
Get:3 http://incoming.ports.debian.org/buildd unstable/main alpha libc6.1 alpha 
2.29-1 [2677 kB]
Get:4 http://incoming.ports.debian.org/buildd unstable/main alpha libc-bin 
alpha 2.29-1 [788 kB]
Fetched 6329 kB in 3s (2509 kB/s) 
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
        LANGUAGE = "en_US:en",
        LC_ALL = "en_US.UTF-8",
        LC_CTYPE = "en_US.UTF-8",
        LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
/usr/bin/locale: Cannot set LC_CTYPE to default locale: No such file or 
directory
/usr/bin/locale: Cannot set LC_MESSAGES to default locale: No such file or 
directory
/usr/bin/locale: Cannot set LC_ALL to default locale: No such file or directory
debconf: delaying package configuration, since apt-utils is not installed
E: Can not write log (Is /dev/pts mounted?) - posix_openpt (19: No such device)
(Reading database ... 13696 files and directories currently installed.)
Preparing to unpack .../libc6.1-dev_2.29-1_alpha.deb ...
Unpacking libc6.1-dev:alpha (2.29-1) over (2.28-4) ...
Preparing to unpack .../libc-dev-bin_2.29-1_alpha.deb ...
Unpacking libc-dev-bin (2.29-1) over (2.28-4) ...
Preparing to unpack .../libc6.1_2.29-1_alpha.deb ...
debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog based 
frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 
76.)
debconf: falling back to frontend: Readline
Unpacking libc6.1:alpha (2.29-1) over (2.28-4) ...
dpkg: error: requested operation requires superuser privilege
E: Sub-process /usr/bin/dpkg returned an error code (2)
(sid-alpha-sbuild)root@epyc:/#

After that, logging in through SSH no longer works. Running "dpkg --configure 
-a" always
results in the same error as shown above. Logging in through serial console 
aborts
immediately after typing the username, e.g. "root" and the login prompt is 
shown again.

Shortly after typing "root" and pressing enter, the following message is 
printed to the
console which seems to be an alpha-specific syscall:

[  195.414939] do_entUnaUser: 7 callbacks suppressed

I can fix the problem with the chroot, by simply downloading the 2.28-4 version 
of the
libc6.1 package and extracting it into the system root:

root@epyc:/local_scratch/sid-alpha-sbuild> wget 
http://snapshot.debian.org/archive/debian-ports/20190111T160151Z/pool-alpha/main/g/glibc/libc6.1_2.28-4_alpha.deb
--2019-09-09 22:55:02--  
http://snapshot.debian.org/archive/debian-ports/20190111T160151Z/pool-alpha/main/g/glibc/libc6.1_2.28-4_alpha.deb
Resolving snapshot.debian.org (snapshot.debian.org)... 193.62.202.27, 
185.17.185.185, 2001:630:206:4000:1a1a:0:c13e:ca1b, ...
Connecting to snapshot.debian.org (snapshot.debian.org)|193.62.202.27|:80... 
connected.
HTTP request sent, awaiting response... 200 OK
Length: 2728400 (2.6M)
Saving to: ‘libc6.1_2.28-4_alpha.deb’

libc6.1_2.28-4_alpha.deb                             
100%[====================================================================================================================>]
   2.60M  12.4MB/s    in 0.2s    

2019-09-09 22:55:02 (12.4 MB/s) - ‘libc6.1_2.28-4_alpha.deb’ saved 
[2728400/2728400]

root@epyc:/local_scratch/sid-alpha-sbuild> dpkg-deb -x libc6.1_2.28-4_alpha.deb 
.
root@epyc:/local_scratch/sid-alpha-sbuild> chroot .
bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
(sid-alpha-sbuild)root@epyc:/#

I will follow up with more information once I have figured out more.

Adrian

--
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaub...@debian.org
`. `'   Freie Universitaet Berlin - glaub...@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913

--- End Message ---
--- Begin Message ---
Source: glibc
Source-Version: 2.29-2

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 939...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aure...@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 20 Sep 2019 21:39:03 +0200
Source: glibc
Architecture: source
Version: 2.29-2
Distribution: unstable
Urgency: medium
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Aurelien Jarno <aure...@debian.org>
Closes: 700472 939871 939898
Changes:
 glibc (2.29-2) unstable; urgency=medium
 .
   [ Aurelien Jarno ]
   * debian/control.in/main: drop the <!nocheck> profile from the
     python3:native build-depends.  Closes: #939871.
   * debian/patches/git-updates.diff: update from upstream stable branch:
     - Fix getegid, geteuid and getppid on alpha with < 5.1 kernels.
       Closes: #939898.
 .
   [ Sven Joachim ]
   * debian/script.in/nsscheck.sh: Do not restart services of different
     architecture than libc.  Closes: #700472.
 .
   [ Samuel Thibault ]
   * patches/hurd-i386/submitted-anon-mmap-shared.diff: Re-disable, actually
     makes some tests fail.
Checksums-Sha1:
 35b34de4e427dc22ba597e5b432fca121db50918 8735 glibc_2.29-2.dsc
 973296e15df00f4adead5d19cf3e5a9d8efad4c3 854928 glibc_2.29-2.debian.tar.xz
 938eb756e710ef792c59ab3e61aee1e20d69fc9b 7457 glibc_2.29-2_source.buildinfo
Checksums-Sha256:
 f510055121cba83afe31fa4ad3d447663ef5081bf4f06f20728ad731ba391168 8735 
glibc_2.29-2.dsc
 886b5638571863452b5861b1ec0b012a3e0c882b46f0094427123ed82d6577d5 854928 
glibc_2.29-2.debian.tar.xz
 e743cceef3988a1595e7b94f1a2393c4d56851d952da3f5359cdb85b9560ea2e 7457 
glibc_2.29-2_source.buildinfo
Files:
 9341cc28bbb9b1c6131097e80ada2442 8735 libs required glibc_2.29-2.dsc
 aa813ad47b772ced0bc18ac5a4cd2d1f 854928 libs required 
glibc_2.29-2.debian.tar.xz
 0dccbf7f2cb2a47684c263672a9aa575 7457 libs required 
glibc_2.29-2_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEUryGlb40+QrX1Ay4E4jA+JnoM2sFAl2FLEgACgkQE4jA+Jno
M2tizQ/+L6W3GSSvW293bCjiG7tPwfuvNif9KnUQUr7QzsrKYPmV3gXiEez7G6t9
UccBVJ3c37LU3RxmWlHlqyMx0w3KC5lWLwD3uT47oKPHpKRxDnpKCEMjfDArF7+u
jbDkS02nR+FENSUat0Xc5oUO3yLfvi1uhFIZF34AuL68RhAcHV/l9mgwlPtCByZw
8CL6hTr4u9H63MAX4BOzTiKLjtNA14wvneR3RrCCkW4y7juCZ2WqrhuY6tu3/TNM
I6D7sAXxz8auyZTCZFTmhar7/AeyCCiiI0jLYgP8cjl8BHpllS6yf0LLzlimhrhN
D2ZCqJnt0a4rz5mxWztAt7V3YuRLMXXrfsTRgGalDUuULd1TqAMajcDfRgklX6fi
O6dHln5TDAQuYNEYiy3QG+PJExWo0Hj1moInOGniFbyfCOq8antwzz6q8S53e+Dg
mHaOi3QZvrq9YG/7FjerpUFnHRm4aV8ImdzBym+FwiMEdImof2r2aqog5gIb/04G
Urg/+f/D6Bg3MaBvY2Oy+4ixKv6aZfGaYZ//mKI5VcpQJBgjGI8fKC+pUyKbg/sa
XxyeRKurJYTqmGg0EkK32+zxkV447/6pM/u7Uq9EApm1sbK2ibPDiOm/cxy9ciQe
QVDAx6O3TIQKpmOfKWUQtTML6U/yiThtxR9gg0//lCUYqjqUlxg=
=F1rr
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to